#pragma once
#include "SideBar.h"
#include "HeadderView.h"
#include "MainViewBase.h"


// CSecndFrame

class CSecndFrame : public CWnd
{
	DECLARE_DYNAMIC(CSecndFrame)

public:
	CSecndFrame();
	virtual ~CSecndFrame();

	CSideBar		m_sideBar;
	CHeadderView	m_header;
	CMainViewBase	*m_mainView;

	void CreateMainView(CMainViewBase *view);
	void SetClipboard(CString str);

protected:
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg LRESULT OnChangeSel(WPARAM wParam, LPARAM lParam);

protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
public:
	afx_msg void OnEditCopyInfo();
	afx_msg void OnUpdateEditCopyInfo(CCmdUI *pCmdUI);
};


